### Method

# Rest XmlNode add_attr

#### Declaration [src]

    void
    rest_xml_node_add_attr (
      RestXmlNode* node,
      const char* attribute,
      const char* value
    )

#### Description [src]

Adds attribute to the given node.

#### Parameters

`attribute`

  Type: `const char*`

  Name of the attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  Value to set attribute to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.